import { Guid } from '@common/types/guid';
import { User } from '../user/user';
import { IsActive } from '@app/core/common/enum/is-active.enum';
import { NotificationInAppTracking } from '@app/core/common/enum/notification-inapp-tracking.enum';

export interface InAppNotification {
	id: Guid;
	user: User;
	isActive: IsActive;
	type: Guid;
	trackingState: NotificationInAppTracking;
	subject: string;
	body: string;
	createdAt: Date;
	updatedAt: Date;
	hash: string;
}
